Fall 1.1

By lordeldar :: Thursday September 15th, 2016

 

This game requires the Adobe Flash Player.

Enable Flash

make a game

I removed a section and the change was too big for me to want to just hit publish a few times on the old one so I made a new version. Don't use bombs until after the yellow key or you might fail

 

More games by lordeldar